summaryrefslogtreecommitdiffstats
path: root/debian/e2fsprogs.postinst.dh9
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:49:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:49:26 +0000
commit668f05d989d214c0a5201bc51982e932ff15f6a3 (patch)
tree31067fca0cd63c2a0fb2bd85798e5cb2ef0dec49 /debian/e2fsprogs.postinst.dh9
parentAdding upstream version 1.47.0. (diff)
downloade2fsprogs-debian.tar.xz
e2fsprogs-debian.zip
Adding debian version 1.47.0-2.debian/1.47.0-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/e2fsprogs.postinst.dh9')
-rw-r--r--debian/e2fsprogs.postinst.dh932
1 files changed, 32 insertions, 0 deletions
diff --git a/debian/e2fsprogs.postinst.dh9 b/debian/e2fsprogs.postinst.dh9
new file mode 100644
index 0000000..e7acb0e
--- /dev/null
+++ b/debian/e2fsprogs.postinst.dh9
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+# Abort on error.
+set -e
+
+if [ -x /usr/sbin/update-initramfs -a \
+ -e /etc/initramfs-tools/initramfs.conf ]; then
+ update-initramfs -u
+fi
+
+#DEBHELPER#
+
+# debhelper doesn't know what timers are...
+update_svc() {
+ deb-systemd-helper unmask "$1" >/dev/null || true
+
+ if deb-systemd-helper --quiet was-enabled "$1"; then
+ deb-systemd-helper enable "$1" >/dev/null || true
+ else
+ deb-systemd-helper update-state "$1" >/dev/null || true
+ fi
+}
+update_svc e2scrub_all.timer
+update_svc e2scrub_reap.service
+
+# Start our new services
+if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+ deb-systemd-invoke start e2scrub_all.timer >/dev/null || true
+fi
+
+exit 0